Package jakarta.annotation

## Enum Resource.AuthenticationType

- java.lang.Object
- - java.lang.Enum<Resource.AuthenticationType>
  - - jakarta.annotation.Resource.AuthenticationType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<Resource.AuthenticationType>`

Enclosing class:
  Resource

    public static enum Resource.AuthenticationType
    extends java.lang.Enum<Resource.AuthenticationType>

The AuthenticationType, either CONTAINER or APPLICATION

### Enum Constant Summary

Enum Constants
`APPLICATION` Application authentication
`CONTAINER` Container authentication

### Method Summary

All Methods Static Methods Concrete Methods
`static Resource.AuthenticationType` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Resource.AuthenticationType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CONTAINER

    public static final Resource.AuthenticationType CONTAINER

Container authentication

#### APPLICATION

    public static final Resource.AuthenticationType APPLICATION

Application authentication

### Method Detail

#### values

    public static Resource.AuthenticationType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Resource.AuthenticationType c : Resource.AuthenticationType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Resource.AuthenticationType valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null